package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网关操作日志对象 gateway_operation_log
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public class GatewayOperationLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 网关编号 */
    @Excel(name = "网关编号")
    private String gatewayId;

    /** 操作命令 */
    @Excel(name = "操作命令")
    private String operationCommand;

    /** 发送参数 */
    @Excel(name = "发送参数")
    private String sendParams;

    /** 返回响应 */
    @Excel(name = "返回响应")
    private String executionResponse;

    /** 执行结果 */
    @Excel(name = "执行结果")
    private String executionResult;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date operationTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setGatewayId(String gatewayId)
    {
        this.gatewayId = gatewayId;
    }

    public String getGatewayId()
    {
        return gatewayId;
    }
    public void setOperationCommand(String operationCommand)
    {
        this.operationCommand = operationCommand;
    }

    public String getOperationCommand()
    {
        return operationCommand;
    }
    public void setSendParams(String sendParams)
    {
        this.sendParams = sendParams;
    }

    public String getSendParams()
    {
        return sendParams;
    }
    public void setExecutionResponse(String executionResponse)
    {
        this.executionResponse = executionResponse;
    }

    public String getExecutionResponse()
    {
        return executionResponse;
    }
    public void setExecutionResult(String executionResult)
    {
        this.executionResult = executionResult;
    }

    public String getExecutionResult()
    {
        return executionResult;
    }
    public void setOperationTime(Date operationTime)
    {
        this.operationTime = operationTime;
    }

    public Date getOperationTime()
    {
        return operationTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gatewayId", getGatewayId())
            .append("operationCommand", getOperationCommand())
            .append("sendParams", getSendParams())
            .append("executionResponse", getExecutionResponse())
            .append("executionResult", getExecutionResult())
            .append("operationTime", getOperationTime())
            .toString();
    }
}
